INCLUDEPATH += \
    /home/alex/aleph \           #Ruta de instalación de la biblioteca Aleph-w
    ../SimEscenariosEconomicos \
    /usr/include/postgresql

LIBS += \
    -L../SimEscenariosEconomicos \
    -L/home/alex/aleph \
    -lc \
    -lm \
    -lEcosim \
    -lAleph \
    -lnana \
    -lgsl \
    -lgslcblas \
    -lpq \
    -lxml++-2.6

TARGET = ecosim

QT += svg

QMAKE_CXXFLAGS += -std=c++0x `pkg-config libxml++-2.6 --cflags --libs`

HEADERS += \
    configuration.H \
    configurationPanel.H \
    guiCommon.H \
    mainWindow.H \
    simulationDataDock.H \
    simulationElementsDock.H \
    svgPanel.H \
    svgViewer.H \
    wheelFilter.H \
    nodeInfoDock.H \
    simType.H \
    tempFilterForm.H \
    waitingPanel.H

SOURCES += \
    main.C \
    configuration.C \
    configurationPanel.C \
    guiCommon.C \
    mainWindow.C \
    simulationDataDock.C \
    nodeInfoDock.C \
    simulationElementsDock.C \
    svgPanel.C \
    svgViewer.C \
    wheelFilter.C \
    simType.C \
    tempFilterForm.C \
    waitingPanel.C

CONFIG += warn_off debug

RESOURCES += \
    images.qrc

FORMS += \
    configurationForm.ui \
    tempFilter.ui
